> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all webhooks

> Now that you have at least one webhook, let's get try retrieving all webhooks associated with your account.

# Step 4: list all webhooks

Now that you have at least one webhook, let's get try retrieving all webhooks associated with your account.

<CodeGroup>
  ```bash Sandbox theme={null}
  curl -i -X GET 'https://api-sandbox.equalsmoney.com/v2/webhooks' \
    -H 'Authorization: ApiKey {apiKey}' # Your API key
  ```

  ```bash Production theme={null}
  curl -i -X GET 'https://api.equalsmoney.com/v2/webhooks' \
    -H 'Authorization: ApiKey {apiKey}' # Your API key
  ```
</CodeGroup>

<Info>
  You can use optional filters to narrow down your results. For example, to only return webhooks that are currently enabled. For more information, [see the API reference](/api-reference/webhooks/list-webhooks).
</Info>

If your response is successful, you'll receive a `200` response containing a list of webhooks.

```json theme={null}
{
  "count": 7,
  "limit": 100,
  "offset": 0,
  "rows": [
    {
      "id": "05fba7ec-f75b-4bab-adf5-4b4575fb791c",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "accountId": "F12345",
      "webhookEventTypeId": "64b18e0e-4561-4509-ad35-ecc8d342d291",
      "url": "https://webhook.site/217ab475-3c10-4b2c-80e0-c8c2c50ba9aa",
      "enabled": true,
      "authorizationHeader": null,
      "sharedSecret": null,
      "createdAt": "2023-11-01T14:09:10.000Z",
      "updatedAt": "2023-11-01T14:09:10.000Z",
      "webhookEventTypeName": "RecipientCreated"
    },
    {
      "id": "09bbd138-6ea1-4664-806a-16d3b1b9dfbf",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "accountId": "F12345",
      "webhookEventTypeId": "25d5b682-7449-4d07-b6fc-7c9bf1239561",
      "url": "https://webhook.site/d20a8624-56df-4f14-833e-9deed69568ad",
      "enabled": true,
      "authorizationHeader": null,
      "sharedSecret": null,
      "createdAt": "2023-11-30T10:02:50.000Z",
      "updatedAt": "2023-11-30T10:02:50.000Z",
      "webhookEventTypeName": "BoxCredited"
    },
    {
      "id": "172fad8c-a54c-48dc-9211-ac284cb057d1",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "accountId": "F12345",
      "webhookEventTypeId": "25d5b682-7449-4d07-b6fc-7c9bf1239561",
      "url": "https://webhook.site/e606e7b7-febd-48da-bfa7-16a3fefac18f",
      "enabled": false,
      "authorizationHeader": null,
      "sharedSecret": null,
      "createdAt": "2023-11-23T17:47:18.000Z",
      "updatedAt": "2023-12-08T10:30:01.000Z",
      "webhookEventTypeName": "BoxCredited"
    },
    {
      "id": "33f5d6f6-e281-4dd9-815c-ae1dd36cb2a1",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "accountId": "F12345",
      "webhookEventTypeId": "64b18e0e-4561-4509-ad35-ecc8d342d291",
      "url": "https://webhook.site/e606e7b7-febd-48da-bfa7-16a3fefac18f",
      "enabled": true,
      "authorizationHeader": null,
      "sharedSecret": null,
      "createdAt": "2023-12-07T13:52:14.000Z",
      "updatedAt": "2023-12-07T13:52:14.000Z",
      "webhookEventTypeName": "RecipientCreated"
    },
    {
      "id": "397fac8e-6756-4c1f-b3c3-a6455dc63e2c",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "accountId": "F12345",
      "webhookEventTypeId": "25d5b682-7449-4d07-b6fc-7c9bf1239561",
      "url": "https://eo1gw3im7t77h1x.m.pipedream.net",
      "enabled": true,
      "authorizationHeader": null,
      "sharedSecret": null,
      "createdAt": "2023-09-20T10:58:04.000Z",
      "updatedAt": "2023-09-20T10:58:04.000Z",
      "webhookEventTypeName": "BoxCredited"
    },
    {
      "id": "542609c1-8bf9-46b1-830f-4b87d09d3cf1",
      "enabled": true,
      "accountId": "F12345",
      "url": "https://webhook.site/07a975c2-3f9d-4952-8ea5-98dc688cab7c",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "webhookEventTypeId": "a4dcc403-41aa-4f2e-acf6-32dbaec78e72",
      "updatedAt": "2024-01-09T10:33:33.095Z",
      "createdAt": "2024-01-09T10:33:33.095Z",
      "webhookEventTypeName": "AccountActivated"
    }
  ]
}
```
